#include<iostream>
#include<algorithm>
#include <cmath>

using namespace std;

int main(){
	long int n;
	long long int br;
	cin>>n;
	
	long int a[n];
	long int b[n];
	
	for(long int i = 0; i<n;i++){
		cin>>a[i]>>b[i];
	}
	
	sort(a,a+n);
	sort(b,b+n);
	
	br=0;
	for( long int i = 0; i<n;i++){
		br += abs(a[i]+b[i]-2*i-2);
	}
	cout<<br;
}